VERSION 5.00
Object = "{831FDD16-0C5C-11D2-A9FC-0000F8754DA1}#2.0#0"; "mscomctl.ocx"
Begin VB.Form frmImg 
   Caption         =   "Form1"
   ClientHeight    =   3450
   ClientLeft      =   165
   ClientTop       =   555
   ClientWidth     =   5055
   LinkTopic       =   "Form1"
   MDIChild        =   -1  'True
   ScaleHeight     =   3450
   ScaleWidth      =   5055
   Visible         =   0   'False
   Begin MSComctlLib.StatusBar sb 
      Align           =   2  'Align Bottom
      Height          =   255
      Left            =   0
      TabIndex        =   0
      Top             =   3195
      Width           =   5055
      _ExtentX        =   8916
      _ExtentY        =   450
      _Version        =   393216
      BeginProperty Panels {8E3867A5-8586-11D1-B16A-00C0F0283628} 
         NumPanels       =   1
         BeginProperty Panel1 {8E3867AB-8586-11D1-B16A-00C0F0283628} 
         EndProperty
      EndProperty
      BeginProperty Font {0BE35203-8F91-11CE-9DE3-00AA004BB851} 
         Name            =   "Verdana"
         Size            =   8.25
         Charset         =   0
         Weight          =   400
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
   End
   Begin VB.Image img 
      Height          =   2295
      Left            =   1320
      Stretch         =   -1  'True
      Top             =   720
      Width           =   2295
   End
End
Attribute VB_Name = "frmImg"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Option Explicit

Private Declare Function GetTempPath Lib "kernel32" Alias "GetTempPathA" (ByVal nBufferLength As Long, ByVal lpBuffer As String) As Long

Public hMyDib   As Long

Public strPlus          As String
Public strCopy          As String
Public strFilePath      As String

Private ratio   As Single
'

Public Sub MajCaption()
    Me.Caption = path2file(strFilePath) & IIf(strPlus <> "", " " & strPlus & "", "")
End Sub

Private Function TempPath() As String
    Dim strTemp As String
    strTemp = String(255, 0)
    
    'Get the temporary path
    GetTempPath 255, strTemp

    TempPath = Left(strTemp, InStr(strTemp, Chr(0)) - 1)
End Function
Private Function path2file(p As String) As String
    Dim i   As Integer
    Dim x As String * 1
    For i = 1 To Len(p)
        x = Mid(p, i, 1)
        If x = "\" Or x = "/" Then
            path2file = ""
        Else
            path2file = path2file & x
        End If
    Next
End Function
Public Function GoAcq(ByVal hDib As Long, Optional strPF As String = "")
    Dim strRnd      As String
    
    strRnd = CStr(Int(Rnd * 10 ^ 6))
    
    If strPF <> "" Then strFilePath = strPF
    If strFilePath = "" Then strFilePath = strRnd & ".bmp": strPlus = "*"
    strCopy = TempPath & strRnd & ".bmp"
    
    If strPF = "" Then
        strPF = strCopy
    End If
    Dim rc As Long
    
    rc = FTW_BMP_SaveImage(hDib, strCopy & Chr(0))
    If 0 <> rc Then
        MsgBox "La sauvegarde  echoue! disque plein? rc=" & rc - ERROR_BASE
        Exit Function
    End If
    
    Dim bih As BITMAPINFOHEADER
    Call FAYA_hDib2BIH(hDib, bih)
    
    sb.Panels("SIZEKB") = Round(FileLen(strPF) / 1024, 2) & " Ko"
    sb.Panels("SIZEPIX") = bih.biWidth & "x" & bih.biHeight
    sb.Panels("PATH") = strPF
    sb.Panels("BITDEPTH") = bih.biBitCount & " bits"
    
    
    img.Stretch = False
    On Error Resume Next
    img.Picture = LoadPicture(strCopy)
    On Error GoTo 0
    ratio = img.Height / img.Width
    
    img.Stretch = True
    
    Me.Show
    Form_Resize
    MajCaption

    hMyDib = hDib
End Function
Private Sub Form_Load()
    ' Status bar
    Dim p As Panel
    sb.Panels.Clear
    Set p = sb.Panels.Add(, "SIZEKB")
    p.Width = 1200
    Set p = sb.Panels.Add(, "SIZEPIX")
    p.Width = 1200
    Set p = sb.Panels.Add(, "BITDEPTH")
    p.Width = 1200
    Set p = sb.Panels.Add(, "PATH")
    p.AutoSize = sbrSpring

    MajCaption
End Sub

Private Sub Form_Resize()
    On Error Resume Next
    
    Dim r2 As Single
    Dim sh
    
    sh = Me.ScaleHeight - sb.Height
    
    r2 = sh / Me.ScaleWidth
    
    If r2 < ratio Then
        ' La largeur est plus avantageuse
        img.Width = sh / ratio
        img.Height = sh
        img.Left = (Me.ScaleWidth - img.Width) / 2
        img.Top = 0
    Else
        img.Width = Me.ScaleWidth
        img.Height = Me.ScaleWidth * ratio
        img.Top = (sh - img.Height) / 2
        img.Left = 0
    End If
End Sub

Private Sub Form_Unload(Cancel As Integer)
    If hMyDib Then GlobalFree hMyDib: hMyDib = 0
End Sub

